"""
    
    Summary Field product
    
    Copyright 2007 Red Innovation http://www.redinnovation.com
    
"""

__author__  = 'Mikko Ohtamaa <mikko@redinnovation.com>'
__docformat__ = 'plaintext'

from Products.Archetypes.public import process_types, listTypes
from Products.CMFCore import utils
from Products.CMFCore.DirectoryView import registerDirectory
from Products.CMFCore import permissions

from config import SKINS_DIR, GLOBALS, PROJECTNAME
import config

registerDirectory(SKINS_DIR, GLOBALS)

def initialize(context):    
    
    import core
    import summarizers
    
    if config.INSTALL_DEMO_TYPES:
        import demotypes
        import complexexample

    content_types, constructors, ftis = process_types(
        listTypes(PROJECTNAME),
        PROJECTNAME)

    utils.ContentInit(
        PROJECTNAME + ' Content',
        content_types      = content_types,
        permission         = permissions.AddPortalContent,
        extra_constructors = constructors,
        fti                = ftis,
        ).initialize(context)
