"""
    
    Demo types for summary field
    
    These are used in unit testing and can be installed with 
    quick installer to easily see how Summary product works.
    
    Copyright 2007 Red Innovation http://www.redinnovation.com
    
"""

__author__  = 'Mikko Ohtamaa <mikko@redinnovation.com>'
__docformat__ = 'javadoc'


# Zope imports
from AccessControl import ClassSecurityInfo

# Plone imports
from Products.Archetypes.public import *
from Products.ATContentTypes.content.base import ATCTContent
from Products.ATContentTypes.content.base import updateActions, updateAliases
from Products.ATContentTypes.content.schemata import ATContentTypeSchema
from Products.ATContentTypes.content.schemata import finalizeATCTSchema
from Products.ATContentTypes.content.base import ATCTOrderedFolder, ATCTFolder
from Products.ATContentTypes.content.folder import ATFolderSchema, ATFolder
from Products.ATContentTypes.content.base import updateActions, updateAliases

from Products.CMFCore import CMFCorePermissions
from Products.CMFCore.CMFCorePermissions import View, ListFolderContents
from Products.CMFCore.CMFCorePermissions import setDefaultRoles
from Products.CMFCore import permissions

from Products.summary.core import *
from config import PROJECTNAME

class SummarySampleContent(ATCTContent):

    content_icon = 'minimal_icon.gif'
    meta_type = portal_type = archetype_name = 'SummarySampleContent'
    
    schema = ATCTContent.schema.copy() + Schema((                                                                          
    
            TextField('textField',
            ),
                                                                                              
            FloatField('floatField',
            ),  
                                               
            IntegerField('integerField',
            ),            
        )                          
    )

        
    # Standard security settings
    security = ClassSecurityInfo()

registerType(SummarySampleContent, PROJECTNAME)


class SummarySampleContainer(ATCTFolder):

    meta_type = portal_type = archetype_name = 'SummarySampleContainer'    
    schema = ATCTFolder.schema.copy() + Schema((                                                                          
    
            SummaryField('summary',
                 nestedFields = [
                     "textField", 
                     "floatField", 
                     "integerField"
                 ]
            ),
       ),
    )
        

    allowed_content_types = ["SummarySampleContent"] 
        
    
registerType(SummarySampleContainer, PROJECTNAME)

